<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml" 
xmlns:f="http://java.sun.com/jsf/core" 
xmlns:h="http://java.sun.com/jsf/html" 
xmlns:ui="http://java.sun.com/jsf/facelets"
template="/WEB-INF/template/template.xhtml">
<ui:define name="title">
<title>Display Subjects</title>
</ui:define>
<ui:param name="page_name" value="Connexion" /> 
<ui:define name="content">
<h:form id="form">
<br><br><br></br></br></br>
<h:panelGroup layout="block" class="comments-area" style="text-align:left;padding-left: 70px" >
<h:dataTable value="#{subjectBean.subjects}" var="subject">
                  <h:column>
                  <h:outputText value="#{subject.releaseDate}"></h:outputText>
                  </h:column>
                  <br></br><br></br><br></br>
                  <h:column>
                  <h:outputText value="#{subject.title}"></h:outputText>
                  </h:column>
                                    <br></br><br></br><br></br>
                  <h:column>
                  <h:outputText value="#{subject.subjectBody}"></h:outputText>
                  </h:column>
                                    <br></br><br></br><br></br>
                  
                  <h:column>
                  <h:commandButton action="#{subjectBean.deleteSubject(subject.idSubject)}" value="Delete"></h:commandButton>
                  </h:column>
                                    <br></br><br></br><br></br>
                  
                  <h:column>
                  <h:commandButton action="#{subjectBean.modifierSubject(subject)}" value="Update"></h:commandButton>
                  </h:column>
                                    <br></br><br></br><br></br>
                  <h:column>
                  <h:commandButton action="#{subjectBean.getOneSubject(subject.idSubject)}" value="Consult"></h:commandButton>
                  </h:column>
                  
                  </h:dataTable>
               </h:panelGroup> 
               </h:form>
               </ui:define>  
</ui:composition>